Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 95)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 19;
+        public static int s_SystemVersion = 21;
 
         /// <summary>
         /// コピー・環境バージョン
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 95)
@@ -630,9 +630,9 @@
                 DetailDB.connect(); DetailDB.beginTran();
 
                 // 工事基本情報データ
-                strSQL = string.Format("UPDATE CONSTRUCTIONBASEINFO SET CONSTRUCTIONSTATUSFLG = {0},", iCode1);
+                strSQL = string.Format("UPDATE CONSTRUCTIONBASEINFO A SET CONSTRUCTIONSTATUSFLG = {0},", iCode1);
                 strSQL += string.Format(" NONORDERDATE = TO_DATE('{0}','YYYY/MM/DD')", DateTime.Today.ToShortDateString());
-                strSQL += string.Format(" WHERE CONSTRUCTIONCODE IN (SELECT A.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A {0})", strWHERE);
+                strSQL += strWHERE;
                 if (!BaseDB.ExecuteNonQuery(strSQL, false))
                 {
                     BaseDB.rollback();
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 95)
@@ -47,6 +47,7 @@
             UnitPrice,		        // 単価
             OrdersLinePrice,		// 金額
             SourceCode,             // 予算作成時工事番号
+            SourceLineCnt,	        // 注文書作成時台帳行番号
 
             EntryDate,
             UpdateDate,
@@ -87,6 +88,7 @@
             strcmd += ", UnitPrice";		        // 単価
             strcmd += ", OrdersLinePrice";		    // 金額
             strcmd += ", SourceCode";               // 予算作成時工事番号
+            strcmd += ", SourceLineCnt";	        // 注文書作成時台帳行番号
 
             strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
             strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
@@ -185,26 +187,18 @@
             {
 
                 strcmd = "INSERT INTO PurchaseOrderDetail";
-                strcmd += " (";
-                strcmd += "  ConstructionCode";	        // 工事コード
-                strcmd += ", SeqNo";                    // 注文書枝番
-                strcmd += ", GroupCount";               // グループ番号
-                strcmd += ", LineCount";                // 行番号
-                strcmd += ", ComponentCode";            // 構成キー
-                strcmd += ", ItemCode";		            // 工種キー
-                strcmd += ", FirstString";              // 工種品名
-                strcmd += ", SecondString";             // 内容内訳
-                strcmd += ", UnitCount";		        // 数量
-                strcmd += ", UnitName";		            // 単位
-                strcmd += ", UnitPrice";		        // 単価
-                strcmd += ", OrdersLinePrice";		    // 金額
-                strcmd += ", SourceCode";               // 予算作成時工事番号
-                strcmd += ", EntryDate";
-                strcmd += ", UpdateDate";
-                strcmd += ")";
 
-                strcmd += " VALUES (";
+                strcmd += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
 
+
                 strcmd += string.Format("  {0}", work.ConstructionCode);        // 工事番号
 
                 strcmd += string.Format(", {0}", work.SeqNo);                   // 注文書枝番
@@ -219,6 +213,7 @@
                 strcmd += string.Format(", {0}", work.UnitPrice);		        // 単価
                 strcmd += string.Format(", {0}", work.OrdersLinePrice);         // 金額
                 strcmd += string.Format(", {0}", work.SourceCode);              // 予算作成時工事番号
+                strcmd += string.Format(", {0}", work.SourceLineCnt);	        // 注文書作成時台帳行番号
 
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -292,6 +287,7 @@
                 strcmd += string.Format(", UnitPrice = {0}", data.UnitPrice);		                // 単価
                 strcmd += string.Format(", OrdersLinePrice = {0}", data.OrdersLinePrice);		    // 金額
                 strcmd += string.Format(", SourceCode = {0}", data.SourceCode);                     // 予算作成時工事番号
+                strcmd += string.Format(", SourceLineCnt = {0}", data.SourceLineCnt);	            // 注文書作成時台帳行番号
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += AddSQLString;
@@ -389,6 +385,9 @@
                     case (int)TableColumn.SourceCode:       // 予算作成時工事番号
                         strcmd += string.Format(" SourceCode = {0}", ((int)value).ToString());
                         break;
+                    case (int)TableColumn.SourceLineCnt:	            // 注文書作成時台帳行番号
+                        strcmd += string.Format(" SourceLineCnt = {0}", ((int)value).ToString());
+                        break;
                 }
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -432,6 +431,7 @@
                 wrk.UnitPrice = double.Parse(objwrk[(int)TableColumn.UnitPrice].ToString());		            // 単価
                 wrk.OrdersLinePrice = double.Parse(objwrk[(int)TableColumn.OrdersLinePrice].ToString());		// 金額
                 wrk.SourceCode = int.Parse(objwrk[(int)TableColumn.SourceCode].ToString());                     // 予算作成時工事番号
+                wrk.SourceLineCnt = int.Parse(objwrk[(int)TableColumn.SourceLineCnt].ToString());	            // 注文書作成時台帳行番号
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/PurchaseOrderDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/PurchaseOrderDetail.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/PurchaseOrderDetail.cs	(revision 95)
@@ -27,6 +27,7 @@
         private double  m_UnitPrice = 0;	                // 単価
         private double  m_OrdersLinePrice = 0;	            // 金額
         private double  m_SourceCode = 0;                   // 予算作成時工事番号
+        private int     m_SourceLineCnt = 0;                // 注文書作成時台帳行番号
 
         private DateTime m_EntryDate = DateTime.Now;        // 登録日付
         private DateTime m_UpdateDate = DateTime.Now;       // 更新日付
@@ -141,6 +142,14 @@
             get { return m_SourceCode; }
             set { m_SourceCode = value; }
         }
+        /// <summary>
+        /// 注文書作成時台帳行番号
+        /// </summary>
+        public int SourceLineCnt
+        {
+            get { return m_SourceLineCnt; }
+            set { m_SourceLineCnt = value; }
+        }
 
         /// <summary>
         /// 登録日付
